function [ win ] = createWindow( wlen, hop_percent)

if hop_percent > 0.5
    
    hop = wlen*hop_percent;
    overlap = wlen - hop;

    win_edges = sin((.5:2*overlap-.5)/(2*overlap)*pi); % sine window

    win = ones(1,wlen);
    win(1:overlap) = win_edges(1:end/2);
    win(end-overlap+1:end) = win_edges(end/2+1:end);
    
else
    
    win = sin((.5:wlen-.5)/wlen*pi); % sine window

end

ola_win = ola(win.^2, hop_percent*wlen, ceil(1/hop_percent));

cola = max(ola_win);

win = win./sqrt(cola);

end

